<?php
/**
 * The main template file
 * 
 *  @package million-shades
 **/

get_header();

$pg_hd_bg = get_theme_mod('page-header-background');
	$pg_hd_bg = esc_url($pg_hd_bg);
	$styles = '';
	if ($pg_hd_bg){ 
 
		$styles = 'background-image:url('.$pg_hd_bg.');';	

	}
 ?>
<div class="page-content-header" style="<?php echo esc_attr($styles); ?>">
    
	<div class="inner-content">	    
		
		

		<div class="blog-post-page">	
		<!-- Title for blog list page/blog home page(index.php)  -->
		<?php if(!is_home()) { ?>
		<h1 class="page-title">
			<?php $ms_page_title = get_the_title( get_option('page_for_posts', true) ); 
			echo esc_html($ms_page_title);
			?>
		</h1><!-- page  title -->
	<?php } ?>
		</div><!-- entry-header -->
	
	</div> <!-- innder header end -->
	
</div> <!-- page header end -->

<div id="inner-content" class="inner-content">
    

	<!-- primary area of index.php -->
	<div id="primary" class="content-area">
	
		<main id="main" class="site-main" role="main">
		
	
			<?php
		if ( have_posts() ) :
			if ( is_home() && ! is_front_page() ) :
				?>
				<header>
					<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
				</header>
				<?php
			endif;
			/* Start the Loop */
			while ( have_posts() ) :
				the_post();
				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				get_template_part( 'template-parts/content', get_post_type() );
			endwhile;
			
			 ?>
			<nav class="navigation pagination" style="clear:both;" role="navigation">
				<h1 class="screen-reader-text"><?php esc_html_e( 'Posts navigation', 'million-shades' ); ?></h1>
				<?php 
					    the_posts_pagination( 
            	array(
				    'prev_text' => __( '&larr; Previous', 'million-shades' ),
				    'next_text' => __( 'Next &rarr;', 'million-shades' ),
					)
            	); 
				?>
			</nav><!-- navigation -->
			<?php 
		else :
			get_template_part( 'template-parts/content', 'none' );
		endif;
		?>
		
		</main><!-- main -->
	</div><!-- primary -->



	<?php get_sidebar(); ?>
</div> <!-- inner content end -->
<?php get_footer(); ?>
