<?php
/**
 * Template part for displaying single post.
 * 
 * @package million-shades
 * @since 1.0.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
	<header class="single-header">
	<?php
	// if you want to hide featured image
		if( get_theme_mod( 'hide-featured-images-single') != '1' && has_post_thumbnail()) : ?>
			<div class="featured-image">
			<?php 
			$thumbnail_size = get_theme_mod('single-thumbnail-sizes','medium_large');
			the_post_thumbnail($thumbnail_size); 
			?>
			</div>
		<?php
		endif;
		?>
		<!-- to display categories on top  -->
			<?php echo get_the_category_list();?>
		<!-- Single Blog Post Title  -->	
		<h1 class="single-title"><?php the_title(); ?></h1>
		
		<!-- Single Blog Post Meta  -->
		<div class="single-meta">
			<?php million_shades_single_posted_on(); ?>
		</div><!-- .single-meta -->
	</header><!-- .single-header -->
    
    <!-- Single Blog Post Content  -->
	<div class="single-content clear">
		<?php
			the_content( sprintf(
				/* translators: %s: Name of current post. */
				wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'million-shades' ), 
				array( 'span' => array( 'class' => array() ) ) ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			) );

			wp_link_pages( array(
				'before' => '<div class="page-links clear">' . esc_html__( 'Pages:', 'million-shades' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- End .single-content -->
	
<!-- Single Blog Post Footer Content  -->
	<footer class="single-footer">
		<?php million_shades_entry_footer(); ?>
	</footer><!-- .single-footer -->
</article><!-- #post-## -->
