<?php
/**
 * Template part for displaying posts
 *
 * 
 * @package million-shades
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<header class="entry-header">
		
		 <?php
		 // To hide/show all featured images on index.php//&& has_post_thumbnail()
		if( get_theme_mod( 'hide-featured-images') != '1' ) : ?>
			
			<div class="post-thumbnail">	
		<?php	
		$thumbnail_sizes = get_theme_mod( 'thumbnail-sizes','medium_large');
		the_post_thumbnail($thumbnail_sizes); 
		?>
			</div>
		
		<?php endif; ?> 
		 <!-- To display categories on the top of the post title -->
		<?php echo get_the_category_list();?>
		
		<!-- To display titles of blog post -->
		<?php
		if ( is_single() ) :
			the_title( '<h1 class="entry-title">', '</h1>' );
		else :
			the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
		endif; ?>
		
		<?php
		
		// To display meta of blog post -->	
		if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
		    	
	
		<!-- Meta function calling -->
			<?php million_shades_posted_on(); ?>
		</div><!-- .entry-meta -->
		<?php
		endif; ?>
	</header><!-- .entry-header -->

<!-- Content Area of blog post(index.php) -->
	<div class="entry-content">
	    <!-- to show excerpt or full text of posts -->
		<?php $excerpt = get_theme_mod('enable-excerpt','1');
		
		$read_more_btn_txt = get_theme_mod('read-more-input','Read More');
		$drop_cap = get_theme_mod('enable-drop-cap','1');
		if($drop_cap == '1'){
			$drop_cap = 'drop-cap';
		}else {
			$drop_cap = 'none';
		}
		
	
							if (($excerpt == '1')) { ?>
								<p class="<?php echo esc_attr($drop_cap); ?>">
								<?php 
								echo esc_html(get_the_excerpt());
								?>
	
								<span class="blog-buttons">
								<a href="<?php the_permalink(); ?>" class="read-more"
									target="_self">
										<?php echo esc_html($read_more_btn_txt); ?>
										
								</a>
								</span>
								</p>
								<?php
							} else {
									
									the_content();
							}
						
						?>
						
	</div> <!-- end .entry-content -->
	
<!-- footer area of posts(index.php)-->
	<footer class="entry-footer">
		<?php million_shades_entry_footer(); ?>
	</footer><!-- .entry-footer -->
	
	
	
</article><!-- #post-## -->

